//-----------------------------------------------------------------------------
// Fxxx_TargetApp_Config.h
//-----------------------------------------------------------------------------
// Copyright (C) 2010 Silicon Laboratories, Inc.
// http://www.silabs.com
//
// Program Description:
//
//
//
// Target:         Any Silicon Labs C8051 MCU
// Tool chain:     Generic
// Command Line:   None
//
//
// Release 1.0 / 01SEP2010 (PKC)
//    -Initial Revision
//
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Header file include-once preprocessor directive
//-----------------------------------------------------------------------------

#ifndef _FXXX_TARGETAPP_CONFIG_H_
#define _FXXX_TARGETAPP_CONFIG_H_

//-----------------------------------------------------------------------------
// Global CONSTANTS - Available to all modules
//-----------------------------------------------------------------------------

// ---------------------------------
// Target App Config Options
// ---------------------------------

// Note: Version number has been updated to v1.1 for this App FW version
#define TGT_APP_FW_VERSION_LOW    0x01
#define TGT_APP_FW_VERSION_HIGH   0x01

// This length should be equal to APPIBO_END_VALUE in 'Fxxx_Target_Interface.h'
#define TGT_APP_FW_INFOBLOCK_LENGTH  10   // See documentation

//-----------------------------------------------------------------------------
// Header file include-once preprocessor directive
//-----------------------------------------------------------------------------

#endif // #ifndef _FXXX_TARGETAPP_CONFIG_H_

//-----------------------------------------------------------------------------
// End Of File
//-----------------------------------------------------------------------------
